### Method

# Gck Builder find_date

#### Declaration [src]

    gboolean
    gck_builder_find_date (
      GckBuilder* builder,
      gulong attr_type,
      GDate* value
    )

#### Description [src]

Find a date attribute in the builder that has the type `attr_type`, is of the correct date size, and is not invalid in the PKCS#11 sense. If multiple attributes exist for the given attribute type, then the first one is returned.

#### Parameters

`attr_type`

  Type: `gulong`

  The type of attribute to find.

`value`

  Type: `GDate`

  The location to place the found value.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

Whether a valid date attribute was found.